ome-files 0.2.2

Public Member Functions | Public Attributes | List of all members
ome::files::CoreMetadata Class Reference

Core metadata values. More...

`#include <ome/files/CoreMetadata.h>`

Collaboration diagram for ome::files::CoreMetadata:
[legend]

## Public Member Functions
| CoreMetadata ()
| Constructor.
| CoreMetadata (const CoreMetadata &copy)
| Copy constructor. More...
virtual | ~CoreMetadata ()
| Destructor.

## Public Attributes
dimension_size_type | sizeX
| Width (in pixels) of images in this series.
dimension_size_type | sizeY
| Height (in pixels) of images in this series.
dimension_size_type | sizeZ
| Number of Z sections.
std::vector< dimension_size_type > | sizeC
| Number of channels.
dimension_size_type | sizeT
| Number of timepoints.
dimension_size_type | thumbSizeX
| Width (in pixels) of thumbnail images in this series.
dimension_size_type | thumbSizeY
| Height (in pixels) of thumbnail images in this series.
ome::xml::model::enums::PixelType | pixelType
| Number of bytes per pixel.
pixel_size_type | bitsPerPixel
| Number of valid bits per pixel. */.
dimension_size_type | imageCount
| Total number of images.
Modulo | moduloZ
| Modulo Z dimension.
Modulo | moduloT
| Modulo T dimension.
Modulo | moduloC
| Modulo C dimension.
ome::xml::model::enums::DimensionOrder | dimensionOrder
| Order in which dimensions are stored.
bool | orderCertain
| Are we confident that the dimension order is correct?
bool | littleEndian
| Is the pixel byte order little endian?
bool | interleaved
| `true` if channels are stored RGBRGBRGB...; `false` if channels are stored RRR...GGG...BBB...
bool | indexed
| Are images are stored as indexed color?
bool | falseColor
| Can the color map (if present) be ignored?
bool | metadataComplete
| Is all of the metadata stored within the file parsed correctly?
MetadataMap | seriesMetadata
| Non-core metadata associated with this series.
bool | thumbnail
| Is this series is a lower-resolution copy of another series?
dimension_size_type | resolutionCount
| Sub-resolution count. More...

## Detailed Description

Core metadata values.

Note
  The Java implementation had a constructor to construct by copying the core metadata from a series of an existing reader. This is not duplicated here. Use this instead:

`CoreMetadata copy(reader.getCoreMetadataList().at(index));`

Where `reader` is a FormatReader and `index` is the core index.

Todo:
  We may want to consider refactoring the FormatReader getter methods that fill in missing CoreMetadata fields on the fly (getThumbSizeX, getThumbSizeY) to avoid doing so – one alternate approach would be to have this class use getter methods instead of public fields.

## Constructor & Destructor Documentation

## § CoreMetadata()

ome::files::CoreMetadata::CoreMetadata | ( | const CoreMetadata & | copy | ) |

Copy constructor.

Parameters

  copy | the CoreMetadata to copy.

## Member Data Documentation

## § resolutionCount

dimension_size_type ome::files::CoreMetadata::resolutionCount

Sub-resolution count.

The number of images following this image which are sub-sampled lower resolution copies of this image. The count includes this image, so an image with two following sub-resolution images will have a count of `3` .

The documentation for this class was generated from the following files:

- ome/files/CoreMetadata.h
- ome/files/CoreMetadata.cpp